API docs / Image models

FLUX Schnell API

The fastest image generation model tailored for local development and personal use

Model id
black-forest-labs/flux-schnell
Provider
Flux AI
Output
Image
Price
From 2 credits per run, the same as on voor.ai. Options such as length or resolution can change it.

Request

POST https://voor.ai/v1/generations with "model": "black-forest-labs/flux-schnell". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "black-forest-labs/flux-schnell",
  "input": {
    "prompt": "A red fox standing in fresh snow at golden hour, soft light"
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
promptrequiredstring

Prompt for generated image

aspect_ratiostring

Default: 1:1

One of: 1:1, 16:9, 21:9, 3:2, 2:3, 4:5, 5:4, 3:4, 4:3, 9:16, 9:21

output_countnumber

Number of outputs to generate

Default: 1

Min 1 · Max 4

seednumber

Random seed. Set for reproducible generation

stepsnumber

Number of denoising steps. 4 is recommended, and lower number of steps produce lower quality outputs, faster.

Default: 4

Min 1 · Max 4

output_formatstring

Default: webp

One of: webp, jpg, png

go_fastboolean

Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16. Note that outputs will not be deterministic when this is enabled, even if you set a seed.

Default: true

megapixelsstring

Default: 1

One of: 1, 0.25

output_qualitynumber

Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs

Default: 80

Min 0 · Max 100